Bug 664641 - libnfsidmap fails to start: libnfsidmap: requested translation method, 'nsswitch', is not available
Summary: libnfsidmap fails to start: libnfsidmap: requested translation method, 'nssw...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libnfsidmap
Version: 19
Hardware: Unspecified
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-21 04:15 UTC by Matt Kinni
Modified: 2015-02-18 11:06 UTC (History)
2 users (show)

Fixed In Version: libnfsidmap-0.24-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:06:32 UTC
Type: ---


Attachments (Terms of Use)

Description Matt Kinni 2010-12-21 04:15:46 UTC
Description of problem:

libnfsidmap fails to start with any switch method.

#> service rpcidmapd start
Starting RPC idmapd: rpc.idmapd: libnfsidmap: requested translation method, 'nsswitch', is not available

rpc.idmapd: Unable to create name to user id mappings.
                                                           [FAILED]

### changing method to static:

#> service rpcidmapd start
Starting RPC idmapd: rpc.idmapd: libnfsidmap: requested translation method, 'static', is not available

rpc.idmapd: Unable to create name to user id mappings.
                                                           [FAILED]

Version-Release number of selected component (if applicable):

nfs-utils-1.2.3-6.fc15.x86_64
libnfsidmap-0.24-2.fc15.x86_64


How reproducible:

always

  
Actual results:
fails to start

Expected results:
starts

Additional info:

This seams to be a problem at other distros too:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=561617
and on suse:
http://web.archiveorange.com/archive/v/wmeLD9mlppUGbXgPfHV8

Comment 1 Matt Kinni 2010-12-21 04:21:01 UTC
Here's more details: (this is using the default idmapd.conf file)

-root@home:</home/dk># rpc.idmapd -fvvvvvvvvvvv
rpc.idmapd: libnfsidmap: using domain: local.domain.edu

rpc.idmapd: libnfsidmap: processing 'Method' list

rpc.idmapd: libnfsidmap: Unable to load plugin: /usr/lib64/libnfsidmap/nsswitch.so: cannot open shared object file: No such file or directory

rpc.idmapd: libnfsidmap: requested translation method, 'nsswitch', is not available

rpc.idmapd: Unable to create name to user id mappings.

-root@home:</home/dk># locate nsswitch.so
/usr/lib64/libnfsidmap/nsswitch.so

So it fails to load the nsswitch.so file even though it exists, also the same with the static.so

Comment 2 Steve Dickson 2010-12-22 19:20:07 UTC
New build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2684989

Comment 3 Matt Kinni 2010-12-23 08:35:12 UTC
it works great, thanks for the quick response! :D

Comment 4 friedman 2012-02-09 19:27:21 UTC
Still broken in Fedora 16.  umich_ldap.c needs to #include "config.h".

Comment 5 friedman 2012-02-09 19:33:05 UTC
Sorry, ignore that.  I was responding to the wrong bug report.

Comment 6 Fedora End Of Life 2013-04-03 20:35:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Fedora End Of Life 2015-01-09 22:28:57 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-02-18 11:06:32 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.